Page MenuHomePhabricator

No-js page for rollbacking
Closed, ResolvedPublic1 Story Points

Description

Motivation
Not all people use javascript, but it should be possible to have a confirmation prompt no matter your technical configurations. Therefore we need a special page to redirect to in case people don't have js enabled, but opted-in to the feature

Mock

Acceptance Criteria

  • There is a page that people are being led to if they click on "rollback", have the confirmation feature enabled, but js disabled. The page has the content as described in the mock
  • When clicking on "rollback", the rollback action should be performed and the user should be redirected to the page where they initially clicked the "rollback" link
  • People without rollback rights should still not be able to perform rollbacks.

Notes

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2019, 5:12 PM
Tim_WMDE added a subscriber: Tim_WMDE.

I initially started with this ticket by implementing a new Special page as it was done in the ThankYou extension. However, I then talked to Thiemo and he pointed me to a more suitable example and how this would be better suited to be implemented as an action which checks if the request was made as a GET or a POST to determine if the form is to be shown or if the rollback action is to be performed.

A similar action would be the purge action which can be triggered via ?action=purge on articles, for example:

https://de.wikipedia.org/wiki/Stummelschwanz-Zwergtyrann?action=purge

The relevant action can be found at:

mediawiki/includes/actions/PurgeAction.php

Change 491235 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/core@master] Implement non-JS RollbackAction with form

https://gerrit.wikimedia.org/r/491235

kai.nissen set the point value for this task to 5.
kai.nissen moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-02-18 board.

Change 491235 abandoned by Tim Eulitz:
Implement non-JS RollbackAction with form

Reason:
https://gerrit.wikimedia.org/r/c/mediawiki/core/ /491249

https://gerrit.wikimedia.org/r/491235

Tim_WMDE removed Tim_WMDE as the assignee of this task.Feb 28 2019, 5:04 PM
Tim_WMDE moved this task from Doing to Review on the WMDE-FUN-Sprint-2019-02-18 board.
Tobi_WMDE_SW changed the point value for this task from 5 to 1.Mar 4 2019, 11:13 AM

While I'm reviewing this, I generally wonder if there should be a Cancel button/link in the form? Usually(™) there's something like this, right? ( Sorry if this was already discussed and I don't know and for bringing it up generally :-D )

We discussed this, and thanks does not have one. So staying consistent we are not having one either :) (Especially since you can cancel by using the back button, closing the tab or not doing anything)

kai.nissen closed this task as Resolved.Apr 15 2019, 11:09 AM